# Programmeerimistööriist

Ian
Reinhart
Geiser

     geiseri@kde.org

2006-06-01
KDE töökeskkond
makekdewidgets
1

# makekdewidgets

Loob &Qt; vidina pluginad ini-stiilis kirjeldusfaili põhjal.

    makekdewidgets &Qt; võtmed &kde; võtmed fail

## Kirjeldus

`makekdewidgets` loob &Qt; vidina pluginad ini-stiilis kirjeldusfaili põhjal.

## Võtmed

### Argumendid:

fail

  Sisendfail

### Võtmed:

`-o <fail>`

  Väljundfail

`-n <plugina nimi>`

  Loodava pluginaklassi nimi [WidgetsPlugin]

`-g <grupp>`

  Disaineris näidatav vaikimisi vidinagrupi nimi [Custom]

`-p <pildikataloog>`

  Põimitud pildid lähtekataloogist

### Üldised võtmed:

`--help`

  Näitab abi võtmete kohta

`--help-qt`

  Näitab &Qt; spetsiifilisi võtmeid

`--help-kde`

  Näitab &kde; spetsiifilisi võtmeid

`--help-all`

  Näitab kõiki võtmeid

`--author`

  Näitab infot autori kohta

`-v, --version`

  Näitab versiooniinfot

`--license`

  Näitab litsentsiinfot

### &kde; võtmed:

`--caption <pealdis>`

  Tiitliribal kasutatakse nime 'caption'

`--icon <ikoon>`

  Rakenduse ikoonina kasutatakse ikooni 'ikoon'

`--miniicon <ikoon>`

  Rakenduse ikoonina kasutatakse ikooni 'ikoon'

`--config <failinimi>`

  Kasutatakse alternatiivset seadistustefaili

`--dcopserver <server>`

  Kasutatakse &DCOP;-serverit, mille määrab 'server'

`--nocrashhandler`

  Krahhitõmmiste saamiseks keelatakse krahhide käsitleja

`--waitforwm`

  Ootab WM_NET ühilduvat aknahaldurit

`--style <stiil>`

  Rakenduse &GUI; stiil

`--geometry <geomeetria>`

  Kliendi peamise akna geomeetria - argumendi vorminguks vaata man X

### &Qt; võtmed:

`--display <kuvanimi>`

  Kasutatakse X-serveri kuva 'kuvanimi'

`--session <seansiID>`

  Taastatakse rakendus seansihalduse võtmega 'seansiID'

`--cmap`

  Sunnib rakenduse paigaldama omaenda värvitabelit 8-bitisel kuval

`--ncols <arv>`

  Piirab värvide arvu, mida eraldatakse värvikuubikus 8-bitisel kuval, kui rakendus kasutab QApplication::ManyColor värvispetsifikatsiooni

`--nograb`

  Annab &Qt;-le korralduse mitte kunagi hõivata hiirt või klaviatuuri

`--sync`

  Lülitumine sünkroonrežiimi (silumiseks)

`--fn, --font <fondinimi>`

  Määrab rakenduse fondi

`--bg, --background <värv>`

  Määrab vaikimisi taustavärvi ja rakenduse paleti (arvutatakse heledad ja tumedad varjud)

`--fg, --foreground <värv>`

  Määrab vaikimisi esiplaani värvi

`--btn, --button <värv>`

  Määrab vaikimisi nupu värvi

`--name <nimi>`

  Määrab rakenduse nime

`--title <nimetus>`

  Määrab rakenduse nime (pealdise)

`--visual TrueColor`

  Sunnib rakenduse kasutama 8-bitisel kuval TrueColorit

`--inputstyle <sisestusstiil>`

  Määrab XIM-i (X'i sisestusmeetod) sisestusstiili. Kasutada saab järgmisi väärtusi: onthespot, overthespot, offthespot ja root

`--im <XIM server>`

  XIM server

`--noxim`

  Keelab XIM-i

`--reverse`

  Peegeldab kogu vidinate paigutuse

## Vaata ka

`http://developer.kde.org`

  &kde; arendajate veebilehekülg

## Vead

Vigadest teatamiseks kasuta veebilehte bugs.kde.org, ära kirjuta otse autorile.